## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate matrixmultiply

Name:           rust-matrixmultiply
Version:        0.3.9
Release:        %autorelease
Summary:        General matrix multiplication for f32 and f64 matrices

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/matrixmultiply
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * exclude extraneous unused source files
Patch:          matrixmultiply-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
General matrix multiplication for f32 and f64 matrices. Operates on
matrices with general layout (they can use arbitrary row and column
stride). Detects and uses AVX or SSE2 on x86 platforms transparently for
higher performance. Uses a microkernel strategy, so that the
implementation is easy to parallelize and optimize. Supports
multithreading.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.rst
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cgemm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cgemm-devel %{_description}

This package contains library source intended for building other packages which
use the "cgemm" feature of the "%{crate}" crate.

%files       -n %{name}+cgemm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+constconf-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+constconf-devel %{_description}

This package contains library source intended for building other packages which
use the "constconf" feature of the "%{crate}" crate.

%files       -n %{name}+constconf-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+num_cpus-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+num_cpus-devel %{_description}

This package contains library source intended for building other packages which
use the "num_cpus" feature of the "%{crate}" crate.

%files       -n %{name}+num_cpus-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+once_cell-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+once_cell-devel %{_description}

This package contains library source intended for building other packages which
use the "once_cell" feature of the "%{crate}" crate.

%files       -n %{name}+once_cell-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+thread-tree-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+thread-tree-devel %{_description}

This package contains library source intended for building other packages which
use the "thread-tree" feature of the "%{crate}" crate.

%files       -n %{name}+thread-tree-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+threading-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+threading-devel %{_description}

This package contains library source intended for building other packages which
use the "threading" feature of the "%{crate}" crate.

%files       -n %{name}+threading-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Jul 28 2024 Fabio Valentini <decathorpe@gmail.com> - 0.3.9-1
- Update to version 0.3.9; Fixes RHBZ#2300199

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Sep 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.8-1
- Update to version 0.3.8; Fixes RHBZ#2240007

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu May 11 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.7-1
- Update to version 0.3.7; Fixes RHBZ#2192264

* Sun Apr 30 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.5-1
- Update to version 0.3.5; Fixes RHBZ#2191693

* Fri Apr 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.3-1
- Update to version 0.3.3; Fixes RHBZ#2188448

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Mar 31 2022 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-1
- Update to version 0.3.2; Fixes RHBZ#2025218

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug 05 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1; Fixes: RHBZ#1914465

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 07 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.4-1
- Update to version 0.2.4.
- Fixes RHBZ#1905215

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Sep 21 08:57:41 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.3-1
- Update to 0.2.3

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 17 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-1
- Update to 0.2.2

* Sun Feb 17 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.15-3
- Run tests in infrastructure

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 30 2018 Josh Stone <jistone@redhat.com> - 0.1.15-1
- Update to 0.1.15

* Mon Sep 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.14-1
- Initial package

## END: Generated by rpmautospec
